using UnityEngine;
using System.Collections;

public class MovingPlatform : MonoBehaviour {

	public Transform pointB;
	public Transform pointA;
	//Rango para ajustar la velocidad basada en el tiempo que le toma al enemigo en recorrer el camino entre puntos. 0 es rapidisimo, y 10 lento
	[Range(0f,10f)]
	public float speed=3f;
    public GameObject parentObject;

	// para saber si la inteligencia Artificial esta mirando a la derecha y rotarla cada vez que llegue a un punto, para crear el efecto de que va hacia adelante y hacia atras
	//private bool isFacingRight = true
	IEnumerator Start () {

		while (true) {
			yield return StartCoroutine(MoveObject(transform, pointA.position, pointB.position, speed));
			yield return StartCoroutine(MoveObject(transform, pointB.position, pointA.position, speed));
		}
	}
	
	IEnumerator MoveObject (Transform thisTransform, Vector2 startPos, Vector2 endPos, float time) {
		float i = 0.0f;
		float rate = 1.0f / time;
		while (i < 1.0f) {
			i += Time.deltaTime * rate;
			thisTransform.position = Vector2.Lerp(startPos, endPos, i); 
			yield return null; 
		}
	}


   

}
